﻿@using Microsoft.AspNet.Identity
@if (Request.IsAuthenticated)
{
    using (Html.BeginForm("LogOff", "Account", FormMethod.Post, new { id = "logoutForm" }))
    {
        @Html.AntiForgeryToken()

        <ul class="login-panel">
            @if (User.IsInRole("Administrators"))
            {
                <li>
                    <a href="@Url.Action("Index", "Users", new{area = "Administrator"})">
                        <img class="svg-size" src="@Url.Content("~/DataHelpers/SVG/usercolor.svg")" alt="users" />
                        Users
                    </a>
                </li>
                <li>
                    <a href="@Url.Action("Index", "Roles", new{area = "Administrator"})">
                        <img class="svg-size" src="@Url.Content("~/DataHelpers/SVG/rolecolor.svg")" alt="roles" />
                        Roles
                    </a>
                </li>
                <li>
                    <a href="@Url.Action("Index", "Category", new{area = "Manager"})">
                        <img class="svg-size" src="@Url.Content("~/DataHelpers/SVG/categories.svg")" alt="shop" />
                        Shop
                    </a>
                </li>
            }
            @if (User.IsInRole("Managers"))
            {
                <li>
                    <a href="@Url.Action("Index", "Category", new{area = "Manager"})">
                        <img class="svg-size" src="@Url.Content("~/DataHelpers/SVG/categories.svg")" alt="shop" />
                        Shop
                    </a>
                </li>
            }
            <li class="user-profile-button">
                @Html.ActionLink("User: " + User.Identity.GetUserName(), "Index", "Manage", routeValues: null, htmlAttributes: new { title = "Manage" })
            </li>
            <li class="user-logout-button">
                <a href="javascript:document.getElementById('logoutForm').submit()">
                    <img class="svg-size" src="@Url.Content("~/DataHelpers/SVG/logout.svg")" alt="logout" />
                    Log off
                </a>
            </li>
        </ul>
    }
}
else
{
    <ul class="login-panel login-panel-notlogin">
        <li>
            <a href="@Url.Action("Login","Account", new{id = "loginLink"})">
                <img class="svg-size" src="@Url.Content("~/DataHelpers/SVG/login.svg")" alt="login" />
                Login
            </a>
        </li>

        <li>
            <a href="@Url.Action("Register","Account", new{id = "registerLink"})">
                <img class="svg-size" src="@Url.Content("~/DataHelpers/SVG/register.svg")" alt="register" />
                Register
            </a>
        </li>
    </ul>
}
